Name:     grub2splash
Version:  0.2.3
Release:  %mkrel 1

Summary:  Simple boot image changer for grub2, plymouth
URL:      http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
Source:   %{name}-%{version}.tar.xz
License:  WTFP
Group:    Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: yad
Requires: grub2-theme-uplos
Requires: gfxboot-theme-uplos
Requires: plymouth-theme-uplos-bluepoint 
Requires: gksu
Obsoletes: %{name} < %{version}

%description
Fast and simple image splash changer for grub2, plymouth backgrounds  
Personalize grub2, plymouth images to your own favorite images 

%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR


%files 
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_bindir}/%{name}
%_datadir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Fri Mar 02 2018 adrianomorselli <adrianomorselli> 0.2.3-1uplos2018
- update
